<?php

namespace App\Modules\HtlTypeRoomBed\Application\Update;

use App\Modules\HtlTypeRoomBed\Domain\HtlTypeRoomBed;
use App\Modules\HtlTypeRoomBed\Domain\HtlTypeRoomBedRepository;

final class HtlTypeRoomBedUpdater
{
    public function __construct(private HtlTypeRoomBedRepository $repository)
    {
    }

    public function __invoke(HtlTypeRoomBed $model)
    {
        return $this->repository->update($model);
    }
}
